7662 questions

9091 answers

14654 comments

12055 members

0 votes
51 views 1 comments
by

I need the mosquitto-client package. Unfortunately, the installation does not work properly.

opkg update

opkg install mosquitto-client

results in the following error:

root@Teltonika-RUT955:~# opkg install mosquitto-client

Installing mosquitto-client-nossl (1.6.15-1) to root...

Downloading http://downloads.openwrt.org/releases/19.07.7/packages/mips_24kc/packages/mosquitto-client-nossl_1.6.15-1_mips_24kc.ipk

Multiple packages (librt and librt) providing same name marked HOLD or PREFER. Using latest.

Multiple packages (libpthread and libpthread) providing same name marked HOLD or PREFER. Using latest.

Multiple packages (librt and librt) providing same name marked HOLD or PREFER. Using latest.

Installing libmosquitto-nossl (1.6.15-1) to root...

Downloading http://downloads.openwrt.org/releases/19.07.7/packages/mips_24kc/packages/libmosquitto-nossl_1.6.15-1_mips_24kc.ipk

Collected errors:

 * check_data_file_clashes: Package libmosquitto-nossl wants to install file /usr/lib/libmosquitto.so

        But that file is already provided by package  * libmosquitto-ssl

 * check_data_file_clashes: Package libmosquitto-nossl wants to install file /usr/lib/libmosquitto.so.1

        But that file is already provided by package  * libmosquitto-ssl

 * opkg_install_cmd: Cannot install package mosquitto-client.

do you have a hint for me please

1 Answer

0 votes
by

Hi,

Errors came up because these files are already provided with the package that is currently installed in the system. If you wish to still install it, try forcing opkg installation. Try using flags as --force-depends and --force-overwrite

EB.

by
Thank you for the answer and the solution. Now the GPS - MQTT solution is working perfectly again.

Thank you very much